<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
div{
	width:500px;
	height:200px;
	background-color:#ccc;
	border:1px solid #000;
	margin:10px auto;
	background-image:url(./imgs/th2.jpg);
	background-size:100% 100%;
}
div>#barra{
	border:none;
	margin:0px;
	background-color:#0F6;
	background-image:none;
}
</style>
<script type="text/javascript">
	
	window.addEventListener("load",()=>{
		var reloj;
		var barra=document.querySelector("#barra");
		barra.style.width="0%";
				
		

		reloj=setInterval(()=>{
			var ancho=parseInt(barra.style.width);
			ancho=ancho+1;
			if(ancho>=500){
				clearInterval(reloj);
				reloj=setInterval(()=>{
					var ancho=parseInt(barra.style.width);
					ancho=ancho-1;
					if(ancho<=0){
						clearInterval(reloj);
					}else{
						
						barra.style.width=ancho+"px";						
					}
				},10);
			}else{
				barra.style.width=ancho+"px";				
			}
		},10);

	});

// function aumentar(){
// 	var barra=document.querySelector("#barra");
// 	var ancho=parseInt(barra.style.width);
// 	ancho=ancho+1;
// 	if(ancho>=500){
// 		clearInterval(reloj);
// 	}else{
// 		barra.style.width=ancho+"%";
// 		reloj=setInterval(disminuir,10);
// 	}
// }

// function disminuir(){
// 	var barra=document.querySelector("#barra");
// 	var ancho=parseInt(barra.style.width);
// 	ancho=ancho-1;
// 	if(ancho<=0){
// 		barra.style.width=ancho+"%";
// 	}else{
// 		clearInterval(reloj);
// 		reloj=setInterval(aumentar,10);
// 	}
// }



</script>
</head>

<body>
<div>
<div id="barra">
</div>
</div>
</body>
</html>
